This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 640745 - Groups: Editing membership and returning to summary tab returns blank page
Groups: Editing membership and returning to summary tab returns blank page
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Simeon Pinder
Corey Welton
:
Depends On:
Blocks: rhq4 gwt-groups
  Show dependency treegraph
 
Reported: 2010-10-06 14:29 EDT by Corey Welton
Modified: 2011-05-23 21:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2010-10-06 14:29:15 EDT
Description of problem:

If a user edits membership for a group (dynagroup or compatible group) and returns to the summary tab, s/he gets a blank page.  It appears the Summary > Overview subtab actually never gets selected.

Version-Release number of selected component (if applicable):


How reproducible:
Trying to determine this.

Steps to Reproduce:
1.  Create and populate a compatible group ("bazquux")
2.  Inventory > Groups > "bazquux"
3.  In the group view, navigate to Inventory > Membership subtab
4.  Edit the membership -- remove resources.
5.  Click the Sumamry tab.
  
Actual results:
User is taken to a blank Overview page.  Note that the Overview subtab link itself can be clicked to get to the overview.

Expected results:
Correct traversal of UI.

Additional info:
Have not tested this with mixed groups, but stands to reason it might happen there.  I have also see this misnavigation across other subtabs -> Summary but I don't have a definitive list or heuristic.
Comment 1 Jay Shaughnessy 2011-02-14 10:07:34 EST
The group summary activity view is undergoing a gwt conversion.  When done this can be set to ON_QA.
Comment 2 John Mazzitelli 2011-03-31 16:10:02 EDT
i just tried the replication steps and all things work now.
Comment 3 Mike Foley 2011-04-18 08:24:16 EDT
verified through interactive testing
Comment 4 Corey Welton 2011-05-23 21:14:11 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:14:12 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:14:12 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.